# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'
  
  
# Create the extension.
ext = SketchupExtension.new 'Recursive Exploder',
    'RecursiveExploder/RecursiveExploder_Loader.rb'

# Attach some nice info.
ext.creator     = 'David Moore'
ext.version     = '1.0.0'
ext.copyright   = '2011 David Moore'
ext.description = 'Recursively explodes the current selection'

# Register and load the extension on startup.
Sketchup.register_extension ext, true